Get impulse blocks
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/whitelabel/{whitelabelIdentifier}/impulse/blocks \
--header 'x-api-key: <api-key>'{
"success": true,
"inputBlocks": [
{
"title": "Time series",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Time series"
}
],
"dspBlocks": [
{
"type": "spectral-analysis",
"title": "Spectral features",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Spectral analysis",
"recommended": true,
"experimental": true,
"latestImplementationVersion": 123,
"organizationId": 123,
"organizationDspId": 123,
"namedAxes": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"supportedTargets": [
"brainchip-akd1000"
]
}
],
"learnBlocks": [
{
"type": "spectral-analysis",
"title": "Spectral features",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Spectral analysis",
"recommended": true,
"organizationModelId": 123,
"isPublicEnterpriseOnly": true,
"supportedTargets": [
"brainchip-akd1000"
]
}
],
"postProcessingBlocks": [
{
"type": "object-tracking",
"title": "Object tracking",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Object tracking",
"recommended": true,
"experimental": true,
"latestImplementationVersion": 123,
"defaultParameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"supportedTargets": [
"brainchip-akd1000"
]
}
],
"error": "<string>"
}Get impulse blocks
Lists all possible DSP and ML blocks available for this white label.
GET
/
api
/
whitelabel
/
{whitelabelIdentifier}
/
impulse
/
blocks
Get impulse blocks
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/whitelabel/{whitelabelIdentifier}/impulse/blocks \
--header 'x-api-key: <api-key>'{
"success": true,
"inputBlocks": [
{
"title": "Time series",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Time series"
}
],
"dspBlocks": [
{
"type": "spectral-analysis",
"title": "Spectral features",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Spectral analysis",
"recommended": true,
"experimental": true,
"latestImplementationVersion": 123,
"organizationId": 123,
"organizationDspId": 123,
"namedAxes": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"supportedTargets": [
"brainchip-akd1000"
]
}
],
"learnBlocks": [
{
"type": "spectral-analysis",
"title": "Spectral features",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Spectral analysis",
"recommended": true,
"organizationModelId": 123,
"isPublicEnterpriseOnly": true,
"supportedTargets": [
"brainchip-akd1000"
]
}
],
"postProcessingBlocks": [
{
"type": "object-tracking",
"title": "Object tracking",
"author": "Edge Impulse Inc.",
"description": "<string>",
"name": "Object tracking",
"recommended": true,
"experimental": true,
"latestImplementationVersion": 123,
"defaultParameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"supportedTargets": [
"brainchip-akd1000"
]
}
],
"error": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Whitelabel ID
Response
200 - application/json
OK
Whether the operation succeeded
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional error description (set if 'success' was false)
Was this page helpful?
⌘I